> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a member's role in the space



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json put /admin/v1/networks/{network_id}/spaces/{space_id}/members/{user_id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/spaces/{space_id}/members/{user_id}/:
    put:
      tags:
        - Members
      summary: Update a member's role in the space
      operationId: replace_members
      parameters:
        - name: space_id
          in: path
          required: true
          description: ID of the space
          schema:
            type: integer
            format: uint64
        - name: user_id
          in: path
          required: true
          description: ID of the user
          schema:
            type: integer
            format: uint64
        - $ref: '#/components/parameters/networkId'
      requestBody:
        description: Submit results as JSON
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberUpdateRequest'
      responses:
        '200':
          description: The updated member object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberResponse'
        '404':
          description: Member not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Invalid role value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    MemberUpdateRequest:
      description: Request body for updating a member's role and profile information
      type: object
      required: []
      properties:
        role:
          type: string
          description: New role for the member (host, moderator, contributor)
          example: moderator
        email:
          type: string
          format: email
          description: New email address for the member
          example: newemail@example.com
        first_name:
          type: string
          description: New first name for the member
          example: Jane
        last_name:
          type: string
          description: New last name for the member
          example: Smith
    MemberResponse:
      description: A member of a network
      type: object
      required:
        - created_at
        - email
        - id
        - permalink
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        email:
          type: string
          format: email
          description: The member's email address
          example: ada.lovelace@example.com
        first_name:
          type: string
          description: The member's first name
        last_name:
          type: string
          description: The member's last name
        time_zone:
          type: string
          description: The member's time zone
        location:
          type: string
          description: The member's location
        bio:
          type: string
          description: The member's bio
        referral_count:
          type: integer
          format: uint64
          description: Number of referrals made by this member
        avatar:
          type: string
          description: URL to the member's avatar image
        categories:
          type: string
          description: Array of category objects with id and title
        permalink:
          type: string
          description: Canonical URL to the member's profile page
        ambassador_level:
          type: string
          description: The member's ambassador level
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````